Index: src/Kconfig
===================================================================
--- src/Kconfig	(Revision 5169)
+++ src/Kconfig	(Arbeitskopie)
@@ -186,6 +186,21 @@
 	  This variable specifies whether a given board has a reset.c
 	  file containing a hard_reset() function.
 
+config BOARD_HAS_FADT
+	bool
+	default n
+	help
+	  This variable specifies whether a given board has a board-local
+	  FADT in fadt.c. Long-term, those should be moved to appropriate
+	  chipset components (eg. southbridge)
+
+config HAVE_BUS_CONFIG
+	bool
+	default n
+	help
+	  This variable specifies whether a given board has a get_bus_conf.c
+	  file containing bus configuration data.
+
 config HAVE_INIT_TIMER
 	bool
 	default n if UDELAY_IO
Index: src/mainboard/Makefile.k8_ck804.inc
===================================================================
--- src/mainboard/Makefile.k8_ck804.inc	(Revision 5169)
+++ src/mainboard/Makefile.k8_ck804.inc	(Arbeitskopie)
@@ -1,35 +0,0 @@
-##
-## This file is part of the coreboot project.
-##
-## Copyright (C) 2007-2010 coresystems GmbH
-##
-## This program is free software; you can redistribute it and/or
-## modify it under the terms of the GNU General Public License as
-## published by the Free Software Foundation; version 2 of
-## the License.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
-## MA 02110-1301 USA
-##
-
-##
-## This mainboard requires DCACHE_AS_RAM enabled. It won't work without.
-##
-
-
-#needed by irq_tables and mptable and acpi_tables
-obj-y += get_bus_conf.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) +=  dsdt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) +=  acpi_tables.o
-
-
-
-
-
Index: src/mainboard/iwill/dk8_htx/Kconfig
===================================================================
--- src/mainboard/iwill/dk8_htx/Kconfig	(Revision 5169)
+++ src/mainboard/iwill/dk8_htx/Kconfig	(Arbeitskopie)
@@ -7,6 +7,8 @@
 	select SOUTHBRIDGE_AMD_AMD8111
 	select SOUTHBRIDGE_AMD_AMD8131
 	select SUPERIO_WINBOND_W83627HF
+	select BOARD_HAS_FADT
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
Index: src/mainboard/iwill/dk8_htx/Makefile.inc
===================================================================
--- src/mainboard/iwill/dk8_htx/Makefile.inc	(Revision 5169)
+++ src/mainboard/iwill/dk8_htx/Makefile.inc	(Arbeitskopie)
@@ -18,11 +18,7 @@
 ##
 
 # Needed by irq_tables and mptable and acpi_tables.
-obj-y += get_bus_conf.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
 obj-$(CONFIG_GENERATE_ACPI_TABLES) += ssdt2.o
 obj-$(CONFIG_GENERATE_ACPI_TABLES) += ssdt3.o
 obj-$(CONFIG_GENERATE_ACPI_TABLES) += ssdt4.o
 obj-$(CONFIG_GENERATE_ACPI_TABLES) += ssdt5.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
Index: src/mainboard/iwill/dk8s2/Makefile.inc
===================================================================
--- src/mainboard/iwill/dk8s2/Makefile.inc	(Revision 5169)
+++ src/mainboard/iwill/dk8s2/Makefile.inc	(Arbeitskopie)
@@ -1 +0,0 @@
-include $(src)/mainboard/Makefile.k8_CAR.inc
Index: src/mainboard/iwill/dk8x/Makefile.inc
===================================================================
--- src/mainboard/iwill/dk8x/Makefile.inc	(Revision 5169)
+++ src/mainboard/iwill/dk8x/Makefile.inc	(Arbeitskopie)
@@ -1 +0,0 @@
-include $(src)/mainboard/Makefile.k8_CAR.inc
Index: src/mainboard/bcom/winnetp680/Makefile.inc
===================================================================
--- src/mainboard/bcom/winnetp680/Makefile.inc	(Revision 5169)
+++ src/mainboard/bcom/winnetp680/Makefile.inc	(Arbeitskopie)
@@ -1,24 +0,0 @@
-##
-## This file is part of the coreboot project.
-##
-## Copyright (C) 2008 VIA Technologies, Inc.
-## (Written by Aaron Lwe <aaron.lwe@gmail.com> for VIA)
-##
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 2 of the License, or
-## (at your option) any later version.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
-##
-
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
Index: src/mainboard/broadcom/blast/Kconfig
===================================================================
--- src/mainboard/broadcom/blast/Kconfig	(Revision 5169)
+++ src/mainboard/broadcom/blast/Kconfig	(Arbeitskopie)
@@ -7,6 +7,7 @@
 	select SOUTHBRIDGE_BROADCOM_BCM5780
 	select SOUTHBRIDGE_BROADCOM_BCM5785
 	select SUPERIO_NSC_PC87417
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
Index: src/mainboard/broadcom/blast/Makefile.inc
===================================================================
--- src/mainboard/broadcom/blast/Makefile.inc	(Revision 5169)
+++ src/mainboard/broadcom/blast/Makefile.inc	(Arbeitskopie)
@@ -1,6 +1,4 @@
-include $(src)/mainboard/Makefile.k8_CAR.inc
 
 # Needed by irq_tables and mptable and acpi_tables.
-obj-y += get_bus_conf.o
 
 obj-y += ../../../drivers/i2c/i2cmux2/i2cmux2.o
Index: src/mainboard/supermicro/h8dmr/Kconfig
===================================================================
--- src/mainboard/supermicro/h8dmr/Kconfig	(Revision 5169)
+++ src/mainboard/supermicro/h8dmr/Kconfig	(Arbeitskopie)
@@ -6,6 +6,7 @@
 	select NORTHBRIDGE_AMD_AMDK8_ROOT_COMPLEX
 	select SOUTHBRIDGE_NVIDIA_MCP55
 	select SUPERIO_WINBOND_W83627HF
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
Index: src/mainboard/supermicro/h8dmr/Makefile.inc
===================================================================
--- src/mainboard/supermicro/h8dmr/Makefile.inc	(Revision 5169)
+++ src/mainboard/supermicro/h8dmr/Makefile.inc	(Arbeitskopie)
@@ -1,21 +0,0 @@
-##
-## This file is part of the coreboot project.
-##
-## Copyright (C) 2007-2008 coresystems GmbH
-##
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; version 2 of the License.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
-##
-
-# Needed by irq_tables and mptable and acpi_tables.
-obj-y += get_bus_conf.o
Index: src/mainboard/supermicro/h8dme/Kconfig
===================================================================
--- src/mainboard/supermicro/h8dme/Kconfig	(Revision 5169)
+++ src/mainboard/supermicro/h8dme/Kconfig	(Arbeitskopie)
@@ -6,6 +6,7 @@
 	select NORTHBRIDGE_AMD_AMDK8_ROOT_COMPLEX
 	select SOUTHBRIDGE_NVIDIA_MCP55
 	select SUPERIO_WINBOND_W83627HF
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
Index: src/mainboard/supermicro/h8dme/Makefile.inc
===================================================================
--- src/mainboard/supermicro/h8dme/Makefile.inc	(Revision 5169)
+++ src/mainboard/supermicro/h8dme/Makefile.inc	(Arbeitskopie)
@@ -20,4 +20,3 @@
 obj-y += ../../../drivers/i2c/i2cmux2/i2cmux2.o
 
 # Needed by irq_tables and mptable and acpi_tables.
-obj-y += get_bus_conf.o
Index: src/mainboard/supermicro/h8dmr_fam10/Kconfig
===================================================================
--- src/mainboard/supermicro/h8dmr_fam10/Kconfig	(Revision 5169)
+++ src/mainboard/supermicro/h8dmr_fam10/Kconfig	(Arbeitskopie)
@@ -6,6 +6,7 @@
 	select NORTHBRIDGE_AMD_AMDFAM10_ROOT_COMPLEX
 	select SOUTHBRIDGE_NVIDIA_MCP55
 	select SUPERIO_WINBOND_W83627HF
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
Index: src/mainboard/supermicro/h8dmr_fam10/Makefile.inc
===================================================================
--- src/mainboard/supermicro/h8dmr_fam10/Makefile.inc	(Revision 5169)
+++ src/mainboard/supermicro/h8dmr_fam10/Makefile.inc	(Arbeitskopie)
@@ -1,21 +0,0 @@
-##
-## This file is part of the coreboot project.
-##
-## Copyright (C) 2007-2008 coresystems GmbH
-##
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; version 2 of the License.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
-##
-
-# Needed by irq_tables and mptable and acpi_tables.
-obj-y += get_bus_conf.o
Index: src/mainboard/supermicro/h8qme_fam10/Kconfig
===================================================================
--- src/mainboard/supermicro/h8qme_fam10/Kconfig	(Revision 5169)
+++ src/mainboard/supermicro/h8qme_fam10/Kconfig	(Arbeitskopie)
@@ -7,6 +7,7 @@
 	select SOUTHBRIDGE_AMD_AMD8132
 	select SOUTHBRIDGE_NVIDIA_MCP55
 	select SUPERIO_WINBOND_W83627HF
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
Index: src/mainboard/supermicro/h8qme_fam10/Makefile.inc
===================================================================
--- src/mainboard/supermicro/h8qme_fam10/Makefile.inc	(Revision 5169)
+++ src/mainboard/supermicro/h8qme_fam10/Makefile.inc	(Arbeitskopie)
@@ -1,21 +0,0 @@
-##
-## This file is part of the coreboot project.
-##
-## Copyright (C) 2007-2008 coresystems GmbH
-##
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; version 2 of the License.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
-##
-
-# Needed by irq_tables and mptable and acpi_tables.
-obj-y += get_bus_conf.o
Index: src/mainboard/kontron/986lcd-m/Kconfig
===================================================================
--- src/mainboard/kontron/986lcd-m/Kconfig	(Revision 5169)
+++ src/mainboard/kontron/986lcd-m/Kconfig	(Arbeitskopie)
@@ -6,6 +6,7 @@
 	select NORTHBRIDGE_INTEL_I945
 	select SOUTHBRIDGE_INTEL_I82801GX
 	select SUPERIO_WINBOND_W83627THG
+	select BOARD_HAS_FADT
 	select GENERATE_ACPI_TABLES
 	select GENERATE_PIRQ_TABLE
 	select GENERATE_MP_TABLE
Index: src/mainboard/kontron/986lcd-m/Makefile.inc
===================================================================
--- src/mainboard/kontron/986lcd-m/Makefile.inc	(Revision 5169)
+++ src/mainboard/kontron/986lcd-m/Makefile.inc	(Arbeitskopie)
@@ -23,8 +23,5 @@
 
 obj-y += rtl8168.o
 
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
 
 smmobj-$(CONFIG_HAVE_SMI_HANDLER) += mainboard_smi.o
Index: src/mainboard/kontron/kt690/Kconfig
===================================================================
--- src/mainboard/kontron/kt690/Kconfig	(Revision 5169)
+++ src/mainboard/kontron/kt690/Kconfig	(Arbeitskopie)
@@ -7,6 +7,8 @@
 	select SOUTHBRIDGE_AMD_RS690
 	select SOUTHBRIDGE_AMD_SB600
 	select SUPERIO_WINBOND_W83627DHG
+	select BOARD_HAS_FADT
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select HAVE_MAINBOARD_RESOURCES
Index: src/mainboard/kontron/kt690/Makefile.inc
===================================================================
--- src/mainboard/kontron/kt690/Makefile.inc	(Revision 5169)
+++ src/mainboard/kontron/kt690/Makefile.inc	(Arbeitskopie)
@@ -1,24 +0,0 @@
-##
-## This file is part of the coreboot project.
-##
-## Copyright (C) 2007-2008 coresystems GmbH
-##
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; version 2 of the License.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
-##
-
-# Needed by irq_tables and mptable and acpi_tables.
-obj-y += get_bus_conf.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
Index: src/mainboard/gigabyte/m57sli/Kconfig
===================================================================
--- src/mainboard/gigabyte/m57sli/Kconfig	(Revision 5169)
+++ src/mainboard/gigabyte/m57sli/Kconfig	(Arbeitskopie)
@@ -7,6 +7,7 @@
 	select SOUTHBRIDGE_NVIDIA_MCP55
 	select SUPERIO_ITE_IT8716F
 	select SUPERIO_ITE_IT8716F_OVERRIDE_FANCTL
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
Index: src/mainboard/gigabyte/m57sli/Makefile.inc
===================================================================
--- src/mainboard/gigabyte/m57sli/Makefile.inc	(Revision 5169)
+++ src/mainboard/gigabyte/m57sli/Makefile.inc	(Arbeitskopie)
@@ -18,9 +18,6 @@
 ##
 
 #needed by irq_tables and mptable and acpi_tables
-obj-y += get_bus_conf.o
 obj-$(CONFIG_USE_INIT) += romstage.o
 obj-$(CONFIG_AP_CODE_IN_CAR) += ap_romstage.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) +=  dsdt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) +=  acpi_tables.o
 obj-$(CONFIG_SUPERIO_ITE_IT8716F_OVERRIDE_FANCTL) += fanctl.o
Index: src/mainboard/gigabyte/ga_2761gxdk/Kconfig
===================================================================
--- src/mainboard/gigabyte/ga_2761gxdk/Kconfig	(Revision 5169)
+++ src/mainboard/gigabyte/ga_2761gxdk/Kconfig	(Arbeitskopie)
@@ -6,6 +6,7 @@
 	select NORTHBRIDGE_AMD_AMDK8_ROOT_COMPLEX
 	select SOUTHBRIDGE_SIS_SIS966
 	select SUPERIO_ITE_IT8716F
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
Index: src/mainboard/gigabyte/ga_2761gxdk/Makefile.inc
===================================================================
--- src/mainboard/gigabyte/ga_2761gxdk/Makefile.inc	(Revision 5169)
+++ src/mainboard/gigabyte/ga_2761gxdk/Makefile.inc	(Arbeitskopie)
@@ -18,6 +18,5 @@
 ##
 
 #needed by irq_tables and mptable and acpi_tables
-obj-y += get_bus_conf.o
 obj-$(CONFIG_USE_INIT) += romstage.o
 obj-$(CONFIG_AP_CODE_IN_CAR) += ap_romstage.o
Index: src/mainboard/amd/pistachio/Kconfig
===================================================================
--- src/mainboard/amd/pistachio/Kconfig	(Revision 5169)
+++ src/mainboard/amd/pistachio/Kconfig	(Arbeitskopie)
@@ -6,6 +6,8 @@
 	select NORTHBRIDGE_AMD_AMDK8_ROOT_COMPLEX
 	select SOUTHBRIDGE_AMD_RS690
 	select SOUTHBRIDGE_AMD_SB600
+	select BOARD_HAS_FADT
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
Index: src/mainboard/amd/pistachio/Makefile.inc
===================================================================
--- src/mainboard/amd/pistachio/Makefile.inc	(Revision 5169)
+++ src/mainboard/amd/pistachio/Makefile.inc	(Arbeitskopie)
@@ -1,24 +0,0 @@
-##
-## This file is part of the coreboot project.
-##
-## Copyright (C) 2007-2008 coresystems GmbH
-##
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; version 2 of the License.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
-##
-
-# Needed by irq_tables and mptable and acpi_tables.
-obj-y += get_bus_conf.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
Index: src/mainboard/amd/dbm690t/Kconfig
===================================================================
--- src/mainboard/amd/dbm690t/Kconfig	(Revision 5169)
+++ src/mainboard/amd/dbm690t/Kconfig	(Arbeitskopie)
@@ -7,10 +7,12 @@
 	select SOUTHBRIDGE_AMD_RS690
 	select SOUTHBRIDGE_AMD_SB600
 	select SUPERIO_ITE_IT8712F
+	select BOARD_HAS_FADT
 	select GENERATE_ACPI_TABLES
 	select GENERATE_MP_TABLE
 	select GENERATE_PIRQ_TABLE
 	select HAVE_MAINBOARD_RESOURCES
+	select HAVE_BUS_CONFIG
 	select USE_PRINTK_IN_CAR
 	select USE_DCACHE_RAM
 	select HAVE_HARD_RESET
Index: src/mainboard/amd/dbm690t/Makefile.inc
===================================================================
--- src/mainboard/amd/dbm690t/Makefile.inc	(Revision 5169)
+++ src/mainboard/amd/dbm690t/Makefile.inc	(Arbeitskopie)
@@ -1,24 +0,0 @@
-##
-## This file is part of the coreboot project.
-##
-## Copyright (C) 2007-2008 coresystems GmbH
-##
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; version 2 of the License.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
-##
-
-# Needed by irq_tables and mptable and acpi_tables.
-obj-y += get_bus_conf.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
Index: src/mainboard/amd/serengeti_cheetah/Kconfig
===================================================================
--- src/mainboard/amd/serengeti_cheetah/Kconfig	(Revision 5169)
+++ src/mainboard/amd/serengeti_cheetah/Kconfig	(Arbeitskopie)
@@ -7,6 +7,8 @@
 	select SOUTHBRIDGE_AMD_AMD8111
 	select SOUTHBRIDGE_AMD_AMD8131
 	select SUPERIO_WINBOND_W83627HF
+	select BOARD_HAS_FADT
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
Index: src/mainboard/amd/serengeti_cheetah/Makefile.inc
===================================================================
--- src/mainboard/amd/serengeti_cheetah/Makefile.inc	(Revision 5169)
+++ src/mainboard/amd/serengeti_cheetah/Makefile.inc	(Arbeitskopie)
@@ -18,12 +18,8 @@
 ##
 
 # Needed by irq_tables and mptable and acpi_tables.
-obj-y += get_bus_conf.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
 obj-$(CONFIG_GENERATE_ACPI_TABLES) += ssdt2.o
 obj-$(CONFIG_GENERATE_ACPI_TABLES) += ssdt3.o
 obj-$(CONFIG_GENERATE_ACPI_TABLES) += ssdt4.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
 
 obj-y += ../../../drivers/i2c/i2cmux/i2cmux.o
Index: src/mainboard/amd/serengeti_cheetah_fam10/Kconfig
===================================================================
--- src/mainboard/amd/serengeti_cheetah_fam10/Kconfig	(Revision 5169)
+++ src/mainboard/amd/serengeti_cheetah_fam10/Kconfig	(Arbeitskopie)
@@ -7,6 +7,8 @@
 	select SOUTHBRIDGE_AMD_AMD8111
 	select SOUTHBRIDGE_AMD_AMD8132
 	select SUPERIO_WINBOND_W83627HF
+	select BOARD_HAS_FADT
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
Index: src/mainboard/amd/serengeti_cheetah_fam10/Makefile.inc
===================================================================
--- src/mainboard/amd/serengeti_cheetah_fam10/Makefile.inc	(Revision 5169)
+++ src/mainboard/amd/serengeti_cheetah_fam10/Makefile.inc	(Arbeitskopie)
@@ -18,10 +18,6 @@
 ##
 
 # Needed by irq_tables and mptable and acpi_tables.
-obj-y += get_bus_conf.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
 
 # ./ssdt.o is in northbridge/amd/amdfam10/Makefile.inc
 obj-$(CONFIG_GENERATE_ACPI_TABLES) += ssdt2.o
Index: src/mainboard/hp/dl145_g3/Kconfig
===================================================================
--- src/mainboard/hp/dl145_g3/Kconfig	(Revision 5169)
+++ src/mainboard/hp/dl145_g3/Kconfig	(Arbeitskopie)
@@ -7,6 +7,7 @@
 	select SOUTHBRIDGE_BROADCOM_BCM21000
 	select SOUTHBRIDGE_BROADCOM_BCM5785
 	select SUPERIO_NSC_PC87417
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
Index: src/mainboard/hp/dl145_g3/Makefile.inc
===================================================================
--- src/mainboard/hp/dl145_g3/Makefile.inc	(Revision 5169)
+++ src/mainboard/hp/dl145_g3/Makefile.inc	(Arbeitskopie)
@@ -1,4 +0,0 @@
-include $(src)/mainboard/Makefile.k8_CAR.inc
-
-# Needed by irq_tables and mptable and acpi_tables.
-obj-y += get_bus_conf.o
Index: src/mainboard/tyan/s2912/Kconfig
===================================================================
--- src/mainboard/tyan/s2912/Kconfig	(Revision 5169)
+++ src/mainboard/tyan/s2912/Kconfig	(Arbeitskopie)
@@ -6,6 +6,7 @@
 	select NORTHBRIDGE_AMD_AMDK8_ROOT_COMPLEX
 	select SOUTHBRIDGE_NVIDIA_MCP55
 	select SUPERIO_WINBOND_W83627HF
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
Index: src/mainboard/tyan/s2912/Makefile.inc
===================================================================
--- src/mainboard/tyan/s2912/Makefile.inc	(Revision 5169)
+++ src/mainboard/tyan/s2912/Makefile.inc	(Arbeitskopie)
@@ -18,6 +18,5 @@
 ##
 
 #needed by irq_tables and mptable and acpi_tables
-obj-y += get_bus_conf.o
 obj-$(CONFIG_USE_INIT) += romstage.o
 obj-$(CONFIG_AP_CODE_IN_CAR) += ap_romstage.o
Index: src/mainboard/tyan/s2850/Makefile.inc
===================================================================
--- src/mainboard/tyan/s2850/Makefile.inc	(Revision 5169)
+++ src/mainboard/tyan/s2850/Makefile.inc	(Arbeitskopie)
@@ -1 +0,0 @@
-include $(src)/mainboard/Makefile.k8_CAR.inc
Index: src/mainboard/tyan/s2880/Makefile.inc
===================================================================
--- src/mainboard/tyan/s2880/Makefile.inc	(Revision 5169)
+++ src/mainboard/tyan/s2880/Makefile.inc	(Arbeitskopie)
@@ -1 +0,0 @@
-include $(src)/mainboard/Makefile.k8_CAR.inc
Index: src/mainboard/tyan/s2881/Kconfig
===================================================================
--- src/mainboard/tyan/s2881/Kconfig	(Revision 5169)
+++ src/mainboard/tyan/s2881/Kconfig	(Arbeitskopie)
@@ -7,6 +7,7 @@
 	select SOUTHBRIDGE_AMD_AMD8131
 	select SOUTHBRIDGE_AMD_AMD8111
 	select SUPERIO_WINBOND_W83627HF
+	select HAVE_BUS_CONFIG
 	select HAVE_HARD_RESET
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
Index: src/mainboard/tyan/s2881/Makefile.inc
===================================================================
--- src/mainboard/tyan/s2881/Makefile.inc	(Revision 5169)
+++ src/mainboard/tyan/s2881/Makefile.inc	(Arbeitskopie)
@@ -1,3 +1 @@
-include $(src)/mainboard/Makefile.k8_CAR.inc
-obj-y += get_bus_conf.o
 obj-y += ../../../drivers/i2c/adm1027/adm1027.o
Index: src/mainboard/tyan/s4880/Makefile.inc
===================================================================
--- src/mainboard/tyan/s4880/Makefile.inc	(Revision 5169)
+++ src/mainboard/tyan/s4880/Makefile.inc	(Arbeitskopie)
@@ -1 +0,0 @@
-include $(src)/mainboard/Makefile.k8_CAR.inc
Index: src/mainboard/tyan/s2891/Kconfig
===================================================================
--- src/mainboard/tyan/s2891/Kconfig	(Revision 5169)
+++ src/mainboard/tyan/s2891/Kconfig	(Arbeitskopie)
@@ -7,6 +7,7 @@
 	select SOUTHBRIDGE_NVIDIA_CK804
 	select SOUTHBRIDGE_AMD_AMD8131
 	select SUPERIO_WINBOND_W83627HF
+	select HAVE_BUS_CONFIG
 	select HAVE_HARD_RESET
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
Index: src/mainboard/tyan/s2891/Makefile.inc
===================================================================
--- src/mainboard/tyan/s2891/Makefile.inc	(Revision 5169)
+++ src/mainboard/tyan/s2891/Makefile.inc	(Arbeitskopie)
@@ -1 +0,0 @@
-include $(src)/mainboard/Makefile.k8_ck804.inc
Index: src/mainboard/tyan/s2882/Makefile.inc
===================================================================
--- src/mainboard/tyan/s2882/Makefile.inc	(Revision 5169)
+++ src/mainboard/tyan/s2882/Makefile.inc	(Arbeitskopie)
@@ -1 +0,0 @@
-include $(src)/mainboard/Makefile.k8_CAR.inc
Index: src/mainboard/tyan/s2892/Kconfig
===================================================================
--- src/mainboard/tyan/s2892/Kconfig	(Revision 5169)
+++ src/mainboard/tyan/s2892/Kconfig	(Arbeitskopie)
@@ -7,6 +7,7 @@
 	select SOUTHBRIDGE_NVIDIA_CK804
 	select SOUTHBRIDGE_AMD_AMD8131
 	select SUPERIO_WINBOND_W83627HF
+	select HAVE_BUS_CONFIG
 	select HAVE_HARD_RESET
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
Index: src/mainboard/tyan/s2892/Makefile.inc
===================================================================
--- src/mainboard/tyan/s2892/Makefile.inc	(Revision 5169)
+++ src/mainboard/tyan/s2892/Makefile.inc	(Arbeitskopie)
@@ -1,3 +1,2 @@
-include $(src)/mainboard/Makefile.k8_ck804.inc
 
 obj-y += ../../../drivers/i2c/adm1027/adm1027.o
Index: src/mainboard/tyan/s4882/Makefile.inc
===================================================================
--- src/mainboard/tyan/s4882/Makefile.inc	(Revision 5169)
+++ src/mainboard/tyan/s4882/Makefile.inc	(Arbeitskopie)
@@ -1 +0,0 @@
-include $(src)/mainboard/Makefile.k8_CAR.inc
Index: src/mainboard/tyan/s2875/Makefile.inc
===================================================================
--- src/mainboard/tyan/s2875/Makefile.inc	(Revision 5169)
+++ src/mainboard/tyan/s2875/Makefile.inc	(Arbeitskopie)
@@ -1 +0,0 @@
-include $(src)/mainboard/Makefile.k8_CAR.inc
Index: src/mainboard/tyan/s2885/Kconfig
===================================================================
--- src/mainboard/tyan/s2885/Kconfig	(Revision 5169)
+++ src/mainboard/tyan/s2885/Kconfig	(Arbeitskopie)
@@ -7,6 +7,7 @@
 	select SOUTHBRIDGE_AMD_AMD8131
 	select SOUTHBRIDGE_AMD_AMD8111
 	select SUPERIO_WINBOND_W83627HF
+	select HAVE_BUS_CONFIG
 	select HAVE_HARD_RESET
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
Index: src/mainboard/tyan/s2885/Makefile.inc
===================================================================
--- src/mainboard/tyan/s2885/Makefile.inc	(Revision 5169)
+++ src/mainboard/tyan/s2885/Makefile.inc	(Arbeitskopie)
@@ -1,2 +0,0 @@
-include $(src)/mainboard/Makefile.k8_CAR.inc
-obj-y += get_bus_conf.o
Index: src/mainboard/tyan/s2895/Kconfig
===================================================================
--- src/mainboard/tyan/s2895/Kconfig	(Revision 5169)
+++ src/mainboard/tyan/s2895/Kconfig	(Arbeitskopie)
@@ -7,6 +7,7 @@
 	select SOUTHBRIDGE_NVIDIA_CK804
 	select SOUTHBRIDGE_AMD_AMD8131
 	select SUPERIO_SMSC_LPC47B397
+	select HAVE_BUS_CONFIG
 	select HAVE_HARD_RESET
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
Index: src/mainboard/tyan/s2895/Makefile.inc
===================================================================
--- src/mainboard/tyan/s2895/Makefile.inc	(Revision 5169)
+++ src/mainboard/tyan/s2895/Makefile.inc	(Arbeitskopie)
@@ -1 +0,0 @@
-include $(src)/mainboard/Makefile.k8_ck804.inc
Index: src/mainboard/tyan/s2912_fam10/Kconfig
===================================================================
--- src/mainboard/tyan/s2912_fam10/Kconfig	(Revision 5169)
+++ src/mainboard/tyan/s2912_fam10/Kconfig	(Arbeitskopie)
@@ -6,6 +6,7 @@
 	select NORTHBRIDGE_AMD_AMDFAM10_ROOT_COMPLEX
 	select SOUTHBRIDGE_NVIDIA_MCP55
 	select SUPERIO_WINBOND_W83627HF
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
Index: src/mainboard/tyan/s2912_fam10/Makefile.inc
===================================================================
--- src/mainboard/tyan/s2912_fam10/Makefile.inc	(Revision 5169)
+++ src/mainboard/tyan/s2912_fam10/Makefile.inc	(Arbeitskopie)
@@ -18,6 +18,5 @@
 ##
 
 #needed by irq_tables and mptable and acpi_tables
-obj-y += get_bus_conf.o
 obj-$(CONFIG_USE_INIT) += romstage.o
 obj-$(CONFIG_AP_CODE_IN_CAR) += ap_romstage.o
Index: src/mainboard/via/epia-m700/Kconfig
===================================================================
--- src/mainboard/via/epia-m700/Kconfig	(Revision 5169)
+++ src/mainboard/via/epia-m700/Kconfig	(Arbeitskopie)
@@ -4,6 +4,7 @@
 	select CPU_VIA_C7
 	select NORTHBRIDGE_VIA_VX800
 	select SUPERIO_WINBOND_W83697HF
+	select BOARD_HAS_FADT
 	select HAVE_ACPI_TABLES
 	select BOARD_ROMSIZE_KB_512
 
Index: src/mainboard/via/epia-m700/Makefile.inc
===================================================================
--- src/mainboard/via/epia-m700/Makefile.inc	(Revision 5169)
+++ src/mainboard/via/epia-m700/Makefile.inc	(Arbeitskopie)
@@ -21,6 +21,3 @@
 
 obj-y += wakeup.o
 
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
Index: src/mainboard/via/vt8454c/Kconfig
===================================================================
--- src/mainboard/via/vt8454c/Kconfig	(Revision 5169)
+++ src/mainboard/via/vt8454c/Kconfig	(Arbeitskopie)
@@ -4,6 +4,7 @@
 	select CPU_VIA_C7
 	select NORTHBRIDGE_VIA_CX700
 	select SUPERIO_VIA_VT1211
+	select BOARD_HAS_FADT
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 #	select MMCONF_SUPPORT
Index: src/mainboard/via/vt8454c/Makefile.inc
===================================================================
--- src/mainboard/via/vt8454c/Makefile.inc	(Revision 5169)
+++ src/mainboard/via/vt8454c/Makefile.inc	(Arbeitskopie)
@@ -1,22 +0,0 @@
-##
-## This file is part of the coreboot project.
-##
-## Copyright (C) 2007-2009 coresystems GmbH
-##
-## This program is free software; you can redistribute it and/or
-## modify it under the terms of the GNU General Public License as
-## published by the Free Software Foundation; version 2 of the License.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
-##
-
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
Index: src/mainboard/via/epia-m/Kconfig
===================================================================
--- src/mainboard/via/epia-m/Kconfig	(Revision 5169)
+++ src/mainboard/via/epia-m/Kconfig	(Arbeitskopie)
@@ -6,6 +6,7 @@
 	select SOUTHBRIDGE_VIA_VT8235
 	select SOUTHBRIDGE_RICOH_RL5C476
 	select SUPERIO_VIA_VT1211
+	select BOARD_HAS_FADT
 	select HAVE_PIRQ_TABLE
 	select HAVE_ACPI_TABLES
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/via/epia-m/Makefile.inc
===================================================================
--- src/mainboard/via/epia-m/Makefile.inc	(Revision 5169)
+++ src/mainboard/via/epia-m/Makefile.inc	(Arbeitskopie)
@@ -21,6 +21,3 @@
 
 obj-y += vgabios.o
 
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
Index: src/mainboard/via/epia-n/Kconfig
===================================================================
--- src/mainboard/via/epia-n/Kconfig	(Revision 5169)
+++ src/mainboard/via/epia-n/Kconfig	(Arbeitskopie)
@@ -5,6 +5,7 @@
 	select NORTHBRIDGE_VIA_CN400
 	select SOUTHBRIDGE_VIA_VT8237R
 	select SUPERIO_WINBOND_W83697HF
+	select BOARD_HAS_FADT
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select EPIA_VT8237R_INIT
Index: src/mainboard/via/epia-n/Makefile.inc
===================================================================
--- src/mainboard/via/epia-n/Makefile.inc	(Revision 5169)
+++ src/mainboard/via/epia-n/Makefile.inc	(Arbeitskopie)
@@ -1,23 +0,0 @@
-##
-## This file is part of the coreboot project.
-##
-## Copyright (C) 2008 VIA Technologies, Inc.
-## (Written by Aaron Lwe <aaron.lwe@gmail.com> for VIA)
-##
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 2 of the License, or
-## (at your option) any later version.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
-##
-
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
Index: src/mainboard/roda/rk886ex/Kconfig
===================================================================
--- src/mainboard/roda/rk886ex/Kconfig	(Revision 5169)
+++ src/mainboard/roda/rk886ex/Kconfig	(Arbeitskopie)
@@ -8,6 +8,7 @@
 	select SOUTHBRIDGE_TI_PCI7420
 	select SUPERIO_SMSC_LPC47N227
 	select SUPERIO_RENESAS_M3885X
+	select BOARD_HAS_FADT
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select MMCONF_SUPPORT
Index: src/mainboard/roda/rk886ex/Makefile.inc
===================================================================
--- src/mainboard/roda/rk886ex/Makefile.inc	(Revision 5169)
+++ src/mainboard/roda/rk886ex/Makefile.inc	(Arbeitskopie)
@@ -25,8 +25,5 @@
 obj-y += ec.o
 obj-y += rtl8168.o
 
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
 
 smmobj-$(CONFIG_HAVE_SMI_HANDLER) += mainboard_smi.o
Index: src/mainboard/msi/ms7135/Kconfig
===================================================================
--- src/mainboard/msi/ms7135/Kconfig	(Revision 5169)
+++ src/mainboard/msi/ms7135/Kconfig	(Arbeitskopie)
@@ -6,6 +6,7 @@
 	select NORTHBRIDGE_AMD_AMDK8_ROOT_COMPLEX
 	select SOUTHBRIDGE_NVIDIA_CK804
 	select SUPERIO_WINBOND_W83627THF
+	select HAVE_BUS_CONFIG
 	select HAVE_HARD_RESET
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
Index: src/mainboard/msi/ms7135/Makefile.inc
===================================================================
--- src/mainboard/msi/ms7135/Makefile.inc	(Revision 5169)
+++ src/mainboard/msi/ms7135/Makefile.inc	(Arbeitskopie)
@@ -1 +0,0 @@
-include $(src)/mainboard/Makefile.k8_ck804.inc
Index: src/mainboard/msi/ms9282/Kconfig
===================================================================
--- src/mainboard/msi/ms9282/Kconfig	(Revision 5169)
+++ src/mainboard/msi/ms9282/Kconfig	(Arbeitskopie)
@@ -6,6 +6,7 @@
 	select NORTHBRIDGE_AMD_AMDK8_ROOT_COMPLEX
 	select SOUTHBRIDGE_NVIDIA_MCP55
 	select SUPERIO_WINBOND_W83627EHG
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
Index: src/mainboard/msi/ms9282/Makefile.inc
===================================================================
--- src/mainboard/msi/ms9282/Makefile.inc	(Revision 5169)
+++ src/mainboard/msi/ms9282/Makefile.inc	(Arbeitskopie)
@@ -21,6 +21,5 @@
 obj-y += ../../../drivers/i2c/adm1027/adm1027.o
 
 #needed by irq_tables and mptable and acpi_tables
-obj-y += get_bus_conf.o
 obj-$(CONFIG_USE_INIT) += romstage.o
 obj-$(CONFIG_AP_CODE_IN_CAR) += ap_romstage.o
Index: src/mainboard/msi/ms9185/Kconfig
===================================================================
--- src/mainboard/msi/ms9185/Kconfig	(Revision 5169)
+++ src/mainboard/msi/ms9185/Kconfig	(Arbeitskopie)
@@ -7,6 +7,7 @@
 	select SOUTHBRIDGE_BROADCOM_BCM5780
 	select SOUTHBRIDGE_BROADCOM_BCM5785
 	select SUPERIO_NSC_PC87417
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
Index: src/mainboard/msi/ms9185/Makefile.inc
===================================================================
--- src/mainboard/msi/ms9185/Makefile.inc	(Revision 5169)
+++ src/mainboard/msi/ms9185/Makefile.inc	(Arbeitskopie)
@@ -1,3 +0,0 @@
-include $(src)/mainboard/Makefile.k8_CAR.inc
-
-obj-y += get_bus_conf.o
Index: src/mainboard/msi/ms7260/Kconfig
===================================================================
--- src/mainboard/msi/ms7260/Kconfig	(Revision 5169)
+++ src/mainboard/msi/ms7260/Kconfig	(Arbeitskopie)
@@ -6,6 +6,7 @@
 	select NORTHBRIDGE_AMD_AMDK8_ROOT_COMPLEX
 	select SOUTHBRIDGE_NVIDIA_MCP55
 	select SUPERIO_WINBOND_W83627EHG
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
Index: src/mainboard/msi/ms7260/Makefile.inc
===================================================================
--- src/mainboard/msi/ms7260/Makefile.inc	(Revision 5169)
+++ src/mainboard/msi/ms7260/Makefile.inc	(Arbeitskopie)
@@ -18,6 +18,5 @@
 ##
 
 #needed by irq_tables and mptable and acpi_tables
-obj-y += get_bus_conf.o
 obj-$(CONFIG_USE_INIT) += romstage.o
 obj-$(CONFIG_AP_CODE_IN_CAR) += ap_romstage.o
Index: src/mainboard/arima/hdama/Makefile.inc
===================================================================
--- src/mainboard/arima/hdama/Makefile.inc	(Revision 5169)
+++ src/mainboard/arima/hdama/Makefile.inc	(Arbeitskopie)
@@ -1 +0,0 @@
-include $(src)/mainboard/Makefile.k8_CAR.inc
Index: src/mainboard/Makefile.k8_CAR.inc
===================================================================
--- src/mainboard/Makefile.k8_CAR.inc	(Revision 5169)
+++ src/mainboard/Makefile.k8_CAR.inc	(Arbeitskopie)
@@ -1,32 +0,0 @@
-##
-## This file is part of the coreboot project.
-##
-## Copyright (C) 2007-2010 coresystems GmbH
-##
-## This program is free software; you can redistribute it and/or
-## modify it under the terms of the GNU General Public License as
-## published by the Free Software Foundation; version 2 of
-## the License.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
-## MA 02110-1301 USA
-##
-
-##
-## This mainboard requires DCACHE_AS_RAM enabled. It won't work without.
-##
-
-
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
-
-
-
-
Index: src/mainboard/sunw/ultra40/Kconfig
===================================================================
--- src/mainboard/sunw/ultra40/Kconfig	(Revision 5169)
+++ src/mainboard/sunw/ultra40/Kconfig	(Arbeitskopie)
@@ -6,6 +6,7 @@
 	select NORTHBRIDGE_AMD_AMDK8_ROOT_COMPLEX
 	select SOUTHBRIDGE_NVIDIA_CK804
 	select SUPERIO_SMSC_LPC47M10X
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
Index: src/mainboard/sunw/ultra40/Makefile.inc
===================================================================
--- src/mainboard/sunw/ultra40/Makefile.inc	(Revision 5169)
+++ src/mainboard/sunw/ultra40/Makefile.inc	(Arbeitskopie)
@@ -1,3 +0,0 @@
-include $(src)/mainboard/Makefile.k8_CAR.inc
-
-obj-y += get_bus_conf.o
Index: src/mainboard/newisys/khepri/Makefile.inc
===================================================================
--- src/mainboard/newisys/khepri/Makefile.inc	(Revision 5169)
+++ src/mainboard/newisys/khepri/Makefile.inc	(Arbeitskopie)
@@ -1 +0,0 @@
-include $(src)/mainboard/Makefile.k8_CAR.inc
Index: src/mainboard/technexion/tim8690/Kconfig
===================================================================
--- src/mainboard/technexion/tim8690/Kconfig	(Revision 5169)
+++ src/mainboard/technexion/tim8690/Kconfig	(Arbeitskopie)
@@ -7,6 +7,8 @@
 	select SOUTHBRIDGE_AMD_RS690
 	select SOUTHBRIDGE_AMD_SB600
 	select SUPERIO_ITE_IT8712F
+	select BOARD_HAS_FADT
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
Index: src/mainboard/technexion/tim8690/Makefile.inc
===================================================================
--- src/mainboard/technexion/tim8690/Makefile.inc	(Revision 5169)
+++ src/mainboard/technexion/tim8690/Makefile.inc	(Arbeitskopie)
@@ -1,24 +0,0 @@
-##
-## This file is part of the coreboot project.
-##
-## Copyright (C) 2007-2008 coresystems GmbH
-##
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; version 2 of the License.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
-##
-
-# Needed by irq_tables and mptable and acpi_tables.
-obj-y += get_bus_conf.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
Index: src/mainboard/technexion/tim5690/Kconfig
===================================================================
--- src/mainboard/technexion/tim5690/Kconfig	(Revision 5169)
+++ src/mainboard/technexion/tim5690/Kconfig	(Arbeitskopie)
@@ -7,6 +7,8 @@
 	select SOUTHBRIDGE_AMD_RS690
 	select SOUTHBRIDGE_AMD_SB600
 	select SUPERIO_ITE_IT8712F
+	select BOARD_HAS_FADT
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
Index: src/mainboard/technexion/tim5690/Makefile.inc
===================================================================
--- src/mainboard/technexion/tim5690/Makefile.inc	(Revision 5169)
+++ src/mainboard/technexion/tim5690/Makefile.inc	(Arbeitskopie)
@@ -18,10 +18,6 @@
 ##
 
 # Needed by irq_tables and mptable and acpi_tables.
-obj-y += get_bus_conf.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
 
 # This is debug message for products of Technexion.
 obj-y += tn_post_code.o
Index: src/mainboard/ibm/e326/Makefile.inc
===================================================================
--- src/mainboard/ibm/e326/Makefile.inc	(Revision 5169)
+++ src/mainboard/ibm/e326/Makefile.inc	(Arbeitskopie)
@@ -1 +0,0 @@
-include $(src)/mainboard/Makefile.k8_CAR.inc
Index: src/mainboard/ibm/e325/Makefile.inc
===================================================================
--- src/mainboard/ibm/e325/Makefile.inc	(Revision 5169)
+++ src/mainboard/ibm/e325/Makefile.inc	(Arbeitskopie)
@@ -1 +0,0 @@
-include $(src)/mainboard/Makefile.k8_CAR.inc
Index: src/mainboard/nvidia/l1_2pvv/Kconfig
===================================================================
--- src/mainboard/nvidia/l1_2pvv/Kconfig	(Revision 5169)
+++ src/mainboard/nvidia/l1_2pvv/Kconfig	(Arbeitskopie)
@@ -6,6 +6,7 @@
 	select NORTHBRIDGE_AMD_AMDK8_ROOT_COMPLEX
 	select SOUTHBRIDGE_NVIDIA_MCP55
 	select SUPERIO_WINBOND_W83627EHG
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
Index: src/mainboard/nvidia/l1_2pvv/Makefile.inc
===================================================================
--- src/mainboard/nvidia/l1_2pvv/Makefile.inc	(Revision 5169)
+++ src/mainboard/nvidia/l1_2pvv/Makefile.inc	(Arbeitskopie)
@@ -18,6 +18,5 @@
 ##
 
 #needed by irq_tables and mptable and acpi_tables
-obj-y += get_bus_conf.o
 obj-$(CONFIG_USE_INIT) += romstage.o
 obj-$(CONFIG_AP_CODE_IN_CAR) += ap_romstage.o
Index: src/mainboard/intel/xe7501devkit/Makefile.inc
===================================================================
--- src/mainboard/intel/xe7501devkit/Makefile.inc	(Revision 5169)
+++ src/mainboard/intel/xe7501devkit/Makefile.inc	(Arbeitskopie)
@@ -1,2 +1 @@
 ROMCCFLAGS := -mcpu=p4 -O2
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
Index: src/mainboard/intel/xe7501devkit/dsdt.asl
===================================================================
--- src/mainboard/intel/xe7501devkit/dsdt.asl	(Revision 0)
+++ src/mainboard/intel/xe7501devkit/dsdt.asl	(Revision 0)
@@ -0,0 +1,16 @@
+/* This is a dummy dsdt. Normal ACPI requires a DSDT, but in this case, ACPI
+   is just a workaround for QNX. It would be nice to eventually have a real
+   dsdt here.
+   Note: It will not be hooked up at runtime. It won't even get linked.
+   But we still need this file. */
+
+DefinitionBlock(
+	"dsdt.aml",
+	"DSDT",
+	0x02,           // DSDT revision: ACPI v2.0
+	"COREv2",       // OEM id
+	"COREBOOT",     // OEM table id
+	0x20090419      // OEM revision
+)
+{
+}
Index: src/mainboard/intel/d945gclf/Kconfig
===================================================================
--- src/mainboard/intel/d945gclf/Kconfig	(Revision 5169)
+++ src/mainboard/intel/d945gclf/Kconfig	(Arbeitskopie)
@@ -25,6 +25,7 @@
 	select NORTHBRIDGE_INTEL_I945
 	select SOUTHBRIDGE_INTEL_I82801GX
 	select SUPERIO_SMSC_LPC47M15X
+	select BOARD_HAS_FADT
 	select HAVE_HARD_RESET
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
Index: src/mainboard/intel/d945gclf/Makefile.inc
===================================================================
--- src/mainboard/intel/d945gclf/Makefile.inc	(Revision 5169)
+++ src/mainboard/intel/d945gclf/Makefile.inc	(Arbeitskopie)
@@ -23,8 +23,5 @@
 
 obj-y += rtl8168.o
 
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
 
 smmobj-$(CONFIG_HAVE_SMI_HANDLER) += mainboard_smi.o
Index: src/mainboard/intel/eagleheights/Kconfig
===================================================================
--- src/mainboard/intel/eagleheights/Kconfig	(Revision 5169)
+++ src/mainboard/intel/eagleheights/Kconfig	(Arbeitskopie)
@@ -8,6 +8,7 @@
 	select SUPERIO_SMSC_SMSCSUPERIO
 	select HAVE_HARD_RESET
 	select BOARD_HAS_HARD_RESET
+	select BOARD_HAS_FADT
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select MMCONF_SUPPORT
Index: src/mainboard/intel/eagleheights/Makefile.inc
===================================================================
--- src/mainboard/intel/eagleheights/Makefile.inc	(Revision 5169)
+++ src/mainboard/intel/eagleheights/Makefile.inc	(Arbeitskopie)
@@ -1,3 +0,0 @@
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
Index: src/mainboard/asus/a8v-e_se/Makefile.inc
===================================================================
--- src/mainboard/asus/a8v-e_se/Makefile.inc	(Revision 5169)
+++ src/mainboard/asus/a8v-e_se/Makefile.inc	(Arbeitskopie)
@@ -1,3 +0,0 @@
-# Needed by irq_tables and mptable and acpi_tables.
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
Index: src/mainboard/asus/a8n_e/Kconfig
===================================================================
--- src/mainboard/asus/a8n_e/Kconfig	(Revision 5169)
+++ src/mainboard/asus/a8n_e/Kconfig	(Arbeitskopie)
@@ -6,6 +6,7 @@
 	select NORTHBRIDGE_AMD_AMDK8_ROOT_COMPLEX
 	select SOUTHBRIDGE_NVIDIA_CK804
 	select SUPERIO_ITE_IT8712F
+	select HAVE_BUS_CONFIG
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
Index: src/mainboard/asus/a8n_e/Makefile.inc
===================================================================
--- src/mainboard/asus/a8n_e/Makefile.inc	(Revision 5169)
+++ src/mainboard/asus/a8n_e/Makefile.inc	(Arbeitskopie)
@@ -1,21 +0,0 @@
-##
-## This file is part of the coreboot project.
-##
-## Copyright (C) 2007-2008 coresystems GmbH
-##
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; version 2 of the License.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
-##
-
-# Needed by irq_tables and mptable and acpi_tables.
-obj-y += get_bus_conf.o
Index: src/mainboard/asus/m2v-mx_se/Makefile.inc
===================================================================
--- src/mainboard/asus/m2v-mx_se/Makefile.inc	(Revision 5169)
+++ src/mainboard/asus/m2v-mx_se/Makefile.inc	(Arbeitskopie)
@@ -1,23 +0,0 @@
-##
-## This file is part of the coreboot project.
-##
-## Copyright (C) 2007-2008 coresystems GmbH
-## Copyright (C) 2009 Cristi Măgherușan <cristi.magherusan@net.utcluj.ro>
-##
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; version 2 of the License.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
-##
-
-#needed by irq_tables and mptable and acpi_tables
-obj-$(CONFIG_GENERATE_ACPI_TABLES) +=  dsdt.o
-obj-$(CONFIG_GENERATE_ACPI_TABLES) +=  acpi_tables.o
Index: src/arch/i386/Makefile.inc
===================================================================
--- src/arch/i386/Makefile.inc	(Revision 5169)
+++ src/arch/i386/Makefile.inc	(Arbeitskopie)
@@ -213,9 +213,20 @@
 ifeq ($(CONFIG_BOARD_HAS_HARD_RESET),y)
 objs += $(obj)/mainboard/$(MAINBOARDDIR)/reset.o
 endif
+ifeq ($(CONFIG_GENERATE_ACPI_TABLES),y)
+objs += $(obj)/mainboard/$(MAINBOARDDIR)/acpi_tables.o
+objs += $(obj)/mainboard/$(MAINBOARDDIR)/dsdt.o
+ifeq ($(CONFIG_BOARD_HAS_FADT),y)
+objs += $(obj)/mainboard/$(MAINBOARDDIR)/fadt.o
+endif
+endif
 
+ifeq ($(CONFIG_HAVE_BUS_CONFIG),y)
+objs += $(obj)/mainboard/$(MAINBOARDDIR)/get_bus_conf.o
 endif
 
+endif
+
 ifeq ($(CONFIG_TINY_BOOTBLOCK),y)
 include $(src)/arch/i386/Makefile.bootblock.inc
 else
Index: Makefile
===================================================================
--- Makefile	(Revision 5169)
+++ Makefile	(Arbeitskopie)
@@ -142,7 +142,7 @@
 $(eval $(call evaluate_subdirs))
 
 
-define objs_dsl_template
+define objs_asl_template
 $(obj)/$(1)%.o: src/$(1)%.asl
 	@printf "    IASL       $$(subst $(top)/,,$$(@))\n"
 	$(CPP) -D__ACPI__ -P $(CPPFLAGS) -include $(obj)/config.h -I$(src) -I$(src)/mainboard/$(MAINBOARDDIR) $$< -o $$(basename $$@).asl
@@ -201,7 +201,7 @@
 
 usetemplate=$(foreach d,$(sort $(dir $($(1)))),$(eval $(call $(1)_$(2)_template,$(subst $(obj)/,,$(d)))))
 usetemplate=$(foreach d,$(sort $(dir $($(1)))),$(eval $(call $(1)_$(2)_template,$(subst $(obj)/,,$(d)))))
-$(eval $(call usetemplate,objs,dsl))
+$(eval $(call usetemplate,objs,asl))
 $(eval $(call usetemplate,objs,c))
 $(eval $(call usetemplate,objs,S))
 $(eval $(call usetemplate,initobjs,c))
